# DataExchange
TKXSBase
Interface

# Interface_DataMapOfIntegerTransient Class Reference

`#include <Interface_DataMapOfIntegerTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_DataMapOfIntegerTransient (const Standard_Integer NbBuckets=1)
Standard_EXPORT Interface_DataMapOfIntegerTransient & | Assign (const Interface_DataMapOfIntegerTransient &Other)
Interface_DataMapOfIntegerTransient & | operator= (const Interface_DataMapOfIntegerTransient &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Interface_DataMapOfIntegerTransient ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const Standard_Integer &K) const
const Handle_Standard_Transient & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const Standard_Integer &K)
Handle_Standard_Transient & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | Interface_DataMapOfIntegerTransient (const Interface_DataMapOfIntegerTransient &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Interface_DataMapOfIntegerTransient::Interface_DataMapOfIntegerTransient | ( | const Standard_Integer | NbBuckets = `1` | ) |

Interface_DataMapOfIntegerTransient::~Interface_DataMapOfIntegerTransient | ( |  | ) | `[inline]`

Standard_EXPORT Interface_DataMapOfIntegerTransient::Interface_DataMapOfIntegerTransient | ( | const Interface_DataMapOfIntegerTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Interface_DataMapOfIntegerTransient& Interface_DataMapOfIntegerTransient::Assign | ( | const Interface_DataMapOfIntegerTransient & | Other | ) |

Standard_EXPORT Standard_Boolean Interface_DataMapOfIntegerTransient::Bind | ( | const Standard_Integer & | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& Interface_DataMapOfIntegerTransient::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void Interface_DataMapOfIntegerTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& Interface_DataMapOfIntegerTransient::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean Interface_DataMapOfIntegerTransient::IsBound | ( | const Standard_Integer & | K | ) | const

void Interface_DataMapOfIntegerTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_DataMapOfIntegerTransient::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_DataMapOfIntegerTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& Interface_DataMapOfIntegerTransient::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_Standard_Transient& Interface_DataMapOfIntegerTransient::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

Interface_DataMapOfIntegerTransient& Interface_DataMapOfIntegerTransient::operator= | ( | const Interface_DataMapOfIntegerTransient & | Other | ) | `[inline]`

Standard_EXPORT void Interface_DataMapOfIntegerTransient::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Interface_DataMapOfIntegerTransient::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- Interface_DataMapOfIntegerTransient.hxx